/**
 * @(#)file    OutsideXmlHandler.java
 * @(#)author  OK
 * @(#)version 1.0
 * @(#)date    2014-07-02
 * @(#)since   JDK 1.7.2
 *
 * Copyright (c) www.udapsoft.co.kr, Inc.
 * All rights reserved.
 */
package kr.co.udapsoft.ebid.portal.payment;

import javax.servlet.http.HttpServletRequest;

import com.udapsoft.waf.system.handler.BizDefaultXmlActionHandler;
import com.udapsoft.waf.system.handler.dao.EventMappings;

public class OutsideXmlHandler extends BizDefaultXmlActionHandler {

	private static EventMappings eventMappings;
	
	public OutsideXmlHandler() {
		super();
		if( eventMappings == null ) 
			eventMappings = super.loadEventMapping(this.getClass());
		
	}

	public String doHandle(HttpServletRequest request) {
		return super.doXmlHandle(request, eventMappings);
	}
}
